# $Revision: 1.9.2.1 $, $Date: 2007/03/16 20:43:55 $
# TODO
# - finish ../SOURCES/php-pear-PEAR-rpmvars.patch merge
%include	/usr/lib/rpm/macros.php
%define		_class		PEAR
%define		_subclass	Command_Packaging
%define		_status		alpha
%define		_pearname	PEAR_Command_Packaging
Summary:	%{_pearname} - make-rpm-spec command for managing RPM .spec files for PEAR packages
Summary(pl):	%{_pearname} - polecenie make-rpm-spec do zarzdzania plikami .spec pakietw PEAR-a
Name:		php-pear-%{_pearname}
Version:	0.1.2
Release:	1
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	b8b3e3791c687e8ddaaeac7c65732233
Source1:	php-pear-PEAR-template.spec
Patch0:		php-pear-PEAR_Command_Packaging.patch
URL:		http://pear.php.net/package/PEAR_Command_Packaging/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-PEAR >= 1:1.4.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This command is an improved implementation of the standard makerpm
command, and contains several enhancements that make it far more
flexible. Similar functions for other external packaging mechanisms
may be added at a later date.

Enhanced features over the original PEAR "makerpm" command include:
- Ability to define a release on the command line
- Allows more advanced customisation of the generated package name
- Allows virtual Provides/Requires that differ in format from the
  package name format
- tries to intelligently distinguish between PEAR and PECL when
  generating packages

In PEAR status of this package is: %{_status}.

%description -l pl
To polecenie to ulepszona implementacja standardowego polecenia
makerpm. Zawiera kilka rozszerze czynicych j duo bardziej
elastycznym. W przyszoci mog by dodane podobne funkcje dla innych
zewntrznych mechanizmw pakietw.

Rozszerzone moliwoci w stosunku do oryginalnego polecenia PEAR-a
"makerpm" obejmuj:
- moliwo definiowania pola Release z linii polece
- bardziej zaawansowane dostosowywanie nazwy generowanego pakietu
- dodawanie wirtualnych Provides/Requires o innym formacie ni format
  nazwy pakietu
- prb inteligentnego rozrnienia midzy projektami PEAR a PECL przy
  generowaniu pakietw

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
%patch0

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

sed -e '/^\$''Log: /,$d' %{SOURCE1} > $RPM_BUILD_ROOT%{php_pear_dir}/data/%{_pearname}/template.spec
echo '$''Log: $' >> $RPM_BUILD_ROOT%{php_pear_dir}/data/%{_pearname}/template.spec

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/PEAR/Command/Packaging.xml
%{php_pear_dir}/PEAR/Command/Packaging.php
%{php_pear_dir}/data/PEAR_Command_Packaging

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-PEAR_Command_Packaging.spec,v $
Revision 1.9.2.1  2007/03/16 20:43:55  glen
- rel 1

Revision 1.9  2006/12/31 14:51:36  adamg
- dropped bogus include

Revision 1.8  2006/11/08 19:08:19  glen
- pear make-rpm-spec portion is handled now in this package

Revision 1.7  2006/06/28 17:09:59  adamg
- updated to 0.1.2

Revision 1.6  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.5  2006/05/18 12:00:38  glen
- 0.1.1

Revision 1.4  2006/04/02 12:59:55  glen
- update license

Revision 1.3  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.2  2006/03/04 16:43:07  qboosh
- pl

Revision 1.1  2006/03/02 00:34:29  glen
- new (produced with help of pear makerpm)
